PUT /api/v202604/eui/goals/{placeId}

Creates or updates an EUI goal for a place

UpdateEUIGoalV202604 Permissions: BuildingsAndOrganizations (Edit)
Use this endpoint to set or modify the EUI reduction goal for a place. If no goal exists, one is created. If a goal already exists, it is updated with the new values.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place integer (int32) Required

Request Body

EUIGoalEditRequestV202604
Property Description Type
baseYear The base year for this EUI goal Must be between 1899 and 3000 Required (defined) integer (int32)
milestones The milestones to include with this EUI goal Must have at least 1 elements Required (defined) EUIGoalMilestoneRequestV202604[]
EUIGoalMilestoneRequestV202604 properties
Property Description Type
milestoneYear The year this milestone represents Must be between 1899 and 3000 Required (defined) integer (int32)
reductionPercentage The percent reduction for this milestone Must be between 0.0 and 100.0 Required (defined) number (double)
Example Request Body application/json
{  "baseYear": 1,  "milestones": [
    {    "milestoneYear": 1,    "reductionPercentage": 1.0
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EUIGoalResponseV202604
Property Description Type
baseYear The base year for this EUI goal, which is used as the basis for calculating the EUI reduction percentage. integer (int32)
baseYearEUI The EUI for this goal’s place in the selected base year. Null if the EUI is not available for the base year. number (double)
baseYearUse The total energy use for this goal’s place in the selected base year. Null if the energy use is not available for the base year. number (double)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdByWatts Gets or sets a value indicating whether the goal was created by Watts. boolean
energyProjectCount The number of energy projects associated with this goal’s place. integer (int32)
euiGoalId The identifier for the EUI goal. integer (int32)
milestones A list of milestones associated with this EUI goal. EUIGoalMilestoneResponseV202604[]
EUIGoalMilestoneResponseV202604 properties
Property Description Type
actualEUI The actual EUI achieved for this milestone’s year. Null if the milestone’s target year is either the current year or in the future. number (double)
actualEUIReductionPercentage The actual percentage EUI reduction achieved for this milestone’s year. Null if the milestone’s target year is either the current year or in the future. number (double)
euiGoalMilestoneId The identifier for the EUI goal milestone. integer (int32)
targetEUI The target EUI for this milestone. Null if the EUI is not available for the base year. number (double)
targetReductionPercentage A percent value that represents the target EUI reduction for the target year. number (double)
targetYear The target year this milestone represents. integer (int32)
place EUIGoalPlaceDataV202604
EUIGoalPlaceDataV202604 properties
Property Description Type
buildDate string (date-time)
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
parent PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeSize PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
primaryUse PrimaryUseChild
PrimaryUseChild properties
Property Description Type
primaryUseCode string
primaryUseId integer (int32)
primaryUseInfo string
wattsCreatedDate Gets or sets the date and time when the goal was created by Watts. string (date-time)
wattsModifiedDate Gets or sets the date and time when the goal was last modified by Watts. string (date-time)
Example Response application/json
{  "baseYear": 1,  "baseYearEUI": 1.0,  "baseYearUse": 1.0,  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdByWatts": false,  "energyProjectCount": 1,  "euiGoalId": 1,  "milestones": [
    {    "actualEUI": 1.0,    "actualEUIReductionPercentage": 1.0,    "euiGoalMilestoneId": 1,    "targetEUI": 1.0,    "targetReductionPercentage": 1.0,    "targetYear": 1
  }
  ],  "place": {    "buildDate": "2026-06-18",    "isDataRolledUp": false,    "parent": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeSize": {      "beginDate": "2026-06-18",      "endDate": "2026-06-18",      "placeSizeId": 1,      "unitCode": "string",      "unitId": 1,      "unitInfo": "string",      "value": 1.0
    },    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    },    "primaryUse": {      "primaryUseCode": "string",      "primaryUseId": 1,      "primaryUseInfo": "string"
    }
  },  "wattsCreatedDate": "2026-06-18",  "wattsModifiedDate": "2026-06-18"
}